function [f,grad_f,Hess_f] = f(x)

f = (x(1)-x(2))^2 + (x(2)-x(3))^4;

% Zeilenvektor!:
grad_f = [             2*(x(1)-x(2))           , ...
          -2*(x(1)-x(2)) + 4*(x(2) - x(3))^3   , ...
                     -4*(x(2)-x(3))^3         ];
     
Hess_f = [ 2 ,         -2         ,          0        ; ...
          -2 , 2+12*(x(2)-x(3))^2 , -12*(x(2)-x(3))^2 ; ...
           0 , -12*(x(2)-x(3))^2  , 12*(x(2)-x(3))^2 ]; 

end