function [h,grad_h,Hess_h] = h(x)

h = (1+x(2)^2)*x(1) + x(3)^4 - 3;

% Zeilenvektor!:
grad_h = [ 1 + x(2)^2   , ...
           2*x(1)*x(2)  , ...
            4*x(3)^3   ];
     
Hess_h = [   0    , 2*x(2) ,     0      ; ...
           2*x(2) , 2*x(1) ,     0      ; ...
             0    ,   0    , 12*x(3)^2 ]; 

end